<?php

namespace App\Http\Controllers\Api\V1;

use App\Http\Controllers\Controller;
use App\Models\Shop\Product\Attribute;
use Illuminate\Http\Response;

class AttributeController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return Response
     */
    public function index()
    {
        return response()->rest(
            Attribute::with('values:id,key,attribute_id,value,position')
                ->where('is_enabled', true)
                ->get(['id', 'slug', 'name', 'type', 'category_id', 'is_enabled'])
        );
    }
}
